Package com.io7m.idstore.database.postgres.internal

# Class Tables

java.lang.Object
com.io7m.idstore.database.postgres.internal.Tables

public class Tables extends Object
Convenience access to all tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Admins`
  `ADMINS`
  The table `ADMINS`.
  `static final Audit`
  `AUDIT`
  The table `AUDIT`.
  `static final Bans`
  `BANS`
  The table `BANS`.
  `static final EmailVerifications`
  `EMAIL_VERIFICATIONS`
  The table `EMAIL_VERIFICATIONS`.
  `static final Emails`
  `EMAILS`
  The table `EMAILS`.
  `static final LoginHistory`
  `LOGIN_HISTORY`
  The table `LOGIN_HISTORY`.
  `static final SchemaVersion`
  `SCHEMA_VERSION`
  The table `SCHEMA_VERSION`.
  `static final UserIds`
  `USER_IDS`
  The table `USER_IDS`.
  `static final UserPasswordResets`
  `USER_PASSWORD_RESETS`
  The table `USER_PASSWORD_RESETS`.
  `static final Users`
  `USERS`
  The table `USERS`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tables()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADMINS

    public static final Admins ADMINS
    The table `ADMINS`.

  - ### AUDIT

    public static final Audit AUDIT
    The table `AUDIT`.

  - ### BANS

    public static final Bans BANS
    The table `BANS`.

  - ### EMAIL_VERIFICATIONS

    public static final EmailVerifications EMAIL_VERIFICATIONS
    The table `EMAIL_VERIFICATIONS`.

  - ### EMAILS

    public static final Emails EMAILS
    The table `EMAILS`.

  - ### LOGIN_HISTORY

    public static final LoginHistory LOGIN_HISTORY
    The table `LOGIN_HISTORY`.

  - ### SCHEMA_VERSION

    public static final SchemaVersion SCHEMA_VERSION
    The table `SCHEMA_VERSION`.

  - ### USER_IDS

    public static final UserIds USER_IDS
    The table `USER_IDS`.

  - ### USER_PASSWORD_RESETS

    public static final UserPasswordResets USER_PASSWORD_RESETS
    The table `USER_PASSWORD_RESETS`.

  - ### USERS

    public static final Users USERS
    The table `USERS`.

- ## Constructor Details

  - ### Tables

    public Tables()